jruby (9.4.6.0+ds-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2056521). Remaining changes:
    - d/t/control: mark mri-extra, spec-ruby, mri-stdlib as flaky. See
      launchpad bug 2054943.
  * Drop Changes:
    - d/rules: copy jruby pom files so that they can by updated by
      maven-install-plugin. Fixes ftbfs (launchpad bug 2054942). Fixed
      in Debian bug 1064554.
    - d/p/jruby-8081-invert-o-nonblock-flag.patch: apply upstream patch
      to fix fcntl call. This allows workaround for launchpad
      bug 2054943. Fixed upstream.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 08 Mar 2024 20:55:39 +1300

jruby (9.4.6.0+ds-1) unstable; urgency=medium

  * New upstream version 9.4.6.0+ds
  * d/patches:
    - drop obsolete patch merged upstream
    - drop obsolete io-console gem patch
    + refresh for new upstream version
  * d/rules: add missing items to clean target
  * d/rules: fix ftbfs with same version building itself (Closes: #1064554)
  * d/tests: drop some mri-stdlib exclusions
  * d/tests: exclude unreliable mri-stdlib test cases

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 28 Feb 2024 19:39:52 -0500

jruby (9.4.5.0+ds-1ubuntu1) noble; urgency=medium

  * d/rules: copy jruby pom files so that they can by updated by
    maven-install-plugin. Fixes ftbfs (LP: #2054942).
  * d/t/control: mark mri-extra, spec-ruby, mri-stdlib as flaky. See
    launchpad bug 2054943.
  * d/p/jruby-8081-invert-o-nonblock-flag.patch: apply upstream patch
    to fix fcntl call. This allows workaround for launchpad
    bug 2054943.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Feb 2024 11:55:18 +1300

jruby (9.4.5.0+ds-1) unstable; urgency=medium

  * Rebuild for unstable.
  * d/tests: limit autopkgtests to amd64 and arm64

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 21 Feb 2024 08:36:05 -0500

jruby (9.4.5.0+ds-1~exp1) experimental; urgency=medium

  * New upstream version 9.4.5.0+ds
  * improve rubygems download script
  * d/gbp.conf: add postimport for rubygems download
  * d/patches:
    - drop patches applied upstream
    + refresh patches for new upstream version
    + add upstream patch to fix mri-stdlib test
  * d/rules: drop get-orig-source target
  * d/tests:
    + improve common prepare function
    + be more verbose about exclusions and debug
    + add debugging to mri-core tests

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 19 Feb 2024 21:51:19 -0500

jruby (9.4.3.0+ds-1~exp2) experimental; urgency=medium

  * d/tests:
    + fix libfixposix symlink on i386
    + skip failing arm64 tests (#1058703)
    + work around test errors
    + document File.utime() failures on s390x
    + exclude flaky mri-core test
    + skip failing utime-related tests on arm
    + save java properties in artifacts
    - drop ipv6 workaround, not working

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 20 Dec 2023 10:07:17 -0500

jruby (9.4.3.0+ds-1~exp1) experimental; urgency=medium

  * New upstream version 9.4.3.0+ds (Closes: #1036283, #1042129)
    - includes fixes for CVE-2023-28755 and CVE-2023-28756
  * build with polyglot-ruby and mavengem plugin
  * keep bundled bouncycastle-1.71 jar in package
  * switch to snakeyaml-engine for pysch 5.1
  * don't ship jruby-stdlib and jruby-complete anymore
  * d/copyright: update for new upstream release
  * d/control:
    + add new libfixposix4 binary dependency
    + add copy-rename-maven-plugin to build-deps
    + bump Standards-Version, no changes needed
    + run wrap-and-sort -bastk
  * d/patches:
    + rebase patches for new upstream version
    + add patch to omit bundled gems from build
    + re-enable JarResourceTest with workaround
    + fix gems path in lib/pom.rb
    + patch stdlib gems to load jars from usj
    + patch io-console to load on all platforms
    - drop mri test patch, merged upstream
  * d/tests:
    + add rexml for new test in jruby set
    + don't run chroot specs even if root
    + fix test exclusion missing trailing newline
    + improve adding mri exclusions
    + fix jirb expect-based test
    + skip some tests failing if ipv6 is absent
    + exclude two unreliable mri-core tests
    + exclude flaky mri-stdlib test in salsa
    - mark jrib test as no longer flaky
    - pack/unpack tests on 32-bit fixed upstream
  * d/rules:
    + use jruby.dirs to create usj/jruby/lib/jni
    + ship SourceCodePro font in package
    + improve dh_auto_clean target
    - rework override_dh_prep stanza
  * d/gbp.conf: add rubygems component to export
  * d/salsa-ci.yml: build and run autopkgtests in salsa
  * various lintian fixes / overrides

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 08 Dec 2023 14:41:18 -0500

jruby (9.3.9.0+ds-8) unstable; urgency=medium

  * d/tests: flag jirb test as flaky
  * d/tests: exclude two more tests on armel/armhf

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 16 Jan 2023 16:08:51 -0500

jruby (9.3.9.0+ds-7) unstable; urgency=medium

  * d/control: cleanup Uploaders
  * d/tests: fix typos in test exclusions
  * d/tests: skip some failing spec-ffi tests on armhf

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 09 Jan 2023 23:20:53 -0500

jruby (9.3.9.0+ds-6) unstable; urgency=medium

  * d/tests: fix jgem test
  * d/tests: skip failing tests on armel and armhf
  * d/patches: add patch fixing intermittent test failure

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 08 Jan 2023 13:11:31 -0500

jruby (9.3.9.0+ds-5) unstable; urgency=medium

  * d/patches: use tags to exclude Etc.sysconf test failures
  * d/tests:
    + try to avoid EPIPE and timeouts on non-amd64
    + skip failing rspec and mri tests on non-amd64
    + skip pack/unpack j_spec on 32-bit arches

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 26 Dec 2022 23:14:34 -0500

jruby (9.3.9.0+ds-4) unstable; urgency=medium

  * d/tests: create writeable GEM_PATH in custom directory
  * fix package-contains-vcs-control-file lintian warning
  * add a few Lintian overrides

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 23 Dec 2022 15:58:38 -0500

jruby (9.3.9.0+ds-3) unstable; urgency=medium

  * d/jruby.links: add missing libjffi symlinks
  * d/patches: remove SC_CHILD_MAX in Etc.sysconf test
  * d/tests:
    + exclude a problematic http testcase
    + add debug_tests helper function
    + enable debug_tests in mri-stdlib

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 10 Dec 2022 14:02:13 -0500

jruby (9.3.9.0+ds-2) unstable; urgency=medium

  * d/control: add Breaks+Replaces on jruby-openssl (Closes: #1025442)
  * d/tests:
    * add JOBS=2 and CI=1 to test environment
    + fix failing tests caused by missing class
    + fix mri-stdlib test failure due to TMPDIR
    - get rid of needs-sudo
    - exclude failing testcase in mri-stdlib

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 09 Dec 2022 16:29:20 -0500

jruby (9.3.9.0+ds-1) unstable; urgency=medium

  * New upstream release incorporating security fixes for CVE-2021-31810
    CVE-2021-32066 (Closes: #895837, #1014818)
  * From this release onwards, JRuby no longer loads any C Ruby shared system
    libraries, and instead bundles a set of Ruby 2.6-compatible gems in a pair
    of orig-source tarballs. See d/README.source for details.
    (Closes: #922682, #960247)
  * Updated d/copyright for latest release and new components
  * Repacked source to exclude prebuilt Windows binaries
  * d/control:
    - Dropped C Ruby shared system libs from Build-Deps
    - Dropped jruby-openssl from Build-Deps, now bundled via orig-source gem
    - Dropped upstream deprecated Build-Deps: libbytelist-java,
      libmodulator-java, libunsafe-fences-java, libunsafe-mock-java, nailgun
    - Dropped redundant Build-Dep: libjnr-x86asm-java
    + Added minimum versions for invokebinder and jffi Build-Deps
    + Added myself to Uploaders
    + Flagged testsuite-related Build-Deps with !nocheck
    + Bumped Standards-Version to 4.6.1, no changes needed
    + Added Rules-Requires-Root: no
  * d/patches:
    - Dropped LOAD_PATH jruby patch fully
    + Rebased patches for new upstream version
    + Added several patches for testsuite fixes and workarounds
  * d/rules:
    + Added get-orig-source target to pull upstream tarball and generate
      tarballs containing the required gems
    + Added execute_before_dh_auto_configure target to install ruby gems into
      the jruby source tree prior to subsequent build and test targets, and
      replace gem-bundled jars by those shipped in Debian packages
    - Streamlined build and test targets to avoid unnecessary maven invocations
    - Scaled down testing scope to java tests during build to focus unit and
      integration testing in new autopkgtests
    + Fixed bin script shebangs not to use /usr/bin/env
    + Patched out code for loading bundled jars in readline and psych gems
    + Removed or replaced bundled fonts in documentation
  * Updated maven rules and ignoreRules, cleaned up empty mavenhelper files
  * Updated d/watch
  * Added d/upstream/metadata
  * Added autopkgtests
  * Fixed typos in manpages

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 03 Dec 2022 12:32:59 -0500

jruby (9.2.17.0-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * Add new dependencies required and replace javax.annotation-api by
    jakarta.annotation.api.
  * d/patches: Updated 0004-Add-missing-maven-artifacts-pom-files.patch with
    the next pom.xml files.
  * d/patches: Added 0018 to disable maven truezip plugin.
  * d/patches: Added 0019 to disable maven checksum plugin.
  * d/patches: Refactored 0001 into 0020 to truly disable polyglot maven.
  * d/control: remove build conflict with open-infrastructure-locales-c.utf-8,
    as it has been removed from unstable.
  * d/rules: fix where ruby2.7 libs are copied from for the testsuite.
    (Closes: #976477)
  * d/rules: remove get-orig-source target.
  * d/patches: delete 0007 and don't add /usr/lib/ruby/vendor_ruby to the
    jruby LOAD_PATH anymore. (Closes: #977979, #977981)
  * d/control: update to dh13.
  * d/patches: update 0008 to use new ruby2.7 paths.
  * d/rules: don't fail on testsuite failure, for now.

  [ Thomas Goirand ]
  * New upstream release.
    - Fixes these CVEs: CVE-2017-17742 CVE-2019-16201 CVE-2019-16254
      CVE-2019-16255 CVE-2020-25613 (Closes: #972230).
    - Fixes FTBFS (Closes: #959600).
  * Rebased 0001-Disable-polyglot-maven-extension.patch.
  * Refreshed:
    - 0002-Disable-unpackaged-plugins-in-lib-module.patch.
    - 0005-Disable-jnr-ffi-native-usage.patch.
  * Rebased: 0007-Add-usr-lib-ruby-vendor-ruby-to-load-path.patch.
  * Disabled: 0010-Exclude-mri-tests-failing-in-debian.patch.
  * Rebased: 0011-Disable-failed-tests-in-sbuild.patch.
  * Rebased: 0012-Disable-jruby-flaky-tests.patch.
  * Rebased: 0013-Disable-regression-flaky-tests.patch.
  * Refreshed: 0014-FELIX-5430.patch.
  * Rebased: 0015-javax-annotation-Generated.patch.
  * Refreshed: 0016-Disable-SkinnyMethodAdapter-test.patch.
  * Removed applied upstream: 0018-fix-rubygem-vulnerabilities.patch.
  * Fixed new version in 0004-Add-missing-maven-artifacts-pom-files.patch.
  * Ran wrap-and-sort -bastk.
  * Add DRUBY_VERSION variable in d/rules.
  * Add ruby-psych and ruby-test-unit as build-depends.
  * Add myself as uploader.
  * Fix watch file.
  * Fix 0008-Configure-unit-tests-to-run-at-build-time.patch not to patch
    bin/rake (we're using the system one anyways).
  * Removed version of (build-)depends when satisfied in stable.
  * d/jruby.install: do not list files individually, simply install all files
    from target/package/bin.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2022 12:02:18 +0200

jruby (9.1.17.0-3) unstable; urgency=medium

  * Team upload.
  * debian/patches
    - add 0017-fix-rubygem-vulnerabilities.patch to fix CVEs (Closes: #925987)
      (CVE-2019-8320 CVE-2019-8321 CVE-2019-8322 CVE-2019-8323 CVE-2019-8324
       CVE-2019-8325)

 -- Hideki Yamane <henrich@debian.org>  Wed, 29 May 2019 08:06:41 +0900

jruby (9.1.17.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Directory traversal vulnerability in install_location (CVE-2018-1000073)
    (Closes: #925986)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 01 May 2019 11:25:03 +0200

jruby (9.1.17.0-2) unstable; urgency=medium

  * Annotate the javax.annotation.Generated patch.
  * Bump the dependency on jnr-posix to 3.0.44 due to utimensat.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 10:24:15 +0100

jruby (9.1.17.0-1) unstable; urgency=medium

  * New upstream release (Closes: #893244).
  * Refresh patches.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Move source package lintian overrides to debian/source.
  * Update Vcs-* to point to Salsa.
  * Use debhelper compat level 12.
  * Bump Standards-Version to 4.3.0.
  * Depend on libmodulator-java.
  * Use javax.annotation.processing.Generated from Java SE 9
    (Closes: #917702).
  * Disable a part of the SkinnyMethodAdapter test.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 25 Feb 2019 21:38:40 +0100

jruby (9.1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS with Java 9. (Closes: #875588)
  * Bump Standards-Version to 4.1.1. No changes were required.
  * Refresh patches:
    - d/p/0004-Add-missing-maven-artifacts-pom-files.patch
    - d/p/0008-Configure-unit-tests-to-run-at-build-time.patch

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 04 Oct 2017 19:52:57 +0100

jruby (9.1.8.0-3) unstable; urgency=medium

  * Fix dependencies on ruby-psych and add dependencies on libpsych-java.
  * Update versioned dependency on maven-assembly-plugin.
  * Refresh patches:
    - d/p/0004-Add-missing-maven-artifacts-pom-files.patch

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 17 Sep 2017 16:01:51 +0100

jruby (9.1.8.0-2) unstable; urgency=medium

  * Fix FTBFS caused by an unresolved dependency on an outdated version
    of libmaven-assembly-plugin-java.
  * Break dependency loop by temporarily demoting dependency on ruby-psych
    to Suggests. (Closes: #869486).

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 28 Jul 2017 18:36:45 +0100

jruby (9.1.8.0-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #867652).
  * Prevent FTBFS errors caused by maven-bundle-plugin incompatibility with
    jar files shipping module definition files. The following patch was
    introduced as temporary workaround: d/p/FELIX-5430.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 22 Jul 2017 11:18:39 +0100

jruby (9.1.8.0-1~exp3) experimental; urgency=medium

  * Allow tests failures again. This is unfortunate but the package
    is not ready for doing source only uploads and expect no failures from
    the extense test suite run at buildd nodes during build time.

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 21 Apr 2017 18:47:49 +0100

jruby (9.1.8.0-1~exp2) experimental; urgency=medium

  * Don't ignore failures from MRI tests suite.
    However, a few tests were excluded, so an additional patch was introduced:
    0010-Exclude-mri-tests-failing-in-debian.patch
  * Reintroduce B-D on locales-all.
  * Enable additional JRuby tests tasks:
    - Drop patch 0009-Bundle-psych-java-extension.patch.
    - Add dependencies on:
      + ruby-jar-dependencies
      + ruby-json (>= 2.0.1+dfsg-4~)
      + ruby-psych
    - Drop explicit dependency on libruby-2.3.
    - Add Build-Conflicts on open-infrastructure-locales-c.utf-8.
    - Simplify several d/rules targets.
    - Add more patches:
      + 0011-Disable-failed-tests-in-sbuild.patch
      + 0012-Disable-jruby-flaky-tests.patch
      + 0013-Disable-regression-flaky-tests.patch

 -- Miguel Landaeta <nomadium@debian.org>  Mon, 17 Apr 2017 21:09:18 +0100

jruby (9.1.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
    Drop patch 0003-Disable-truffle-module.patch since is no longer needed.
  * Add dependency on libunsafe-fences-java.
  * Update versioned dependency on libjnr-posix-java to (>= 3.0.36~).
  * Remove references to truffle module since it has been removed.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 11 Mar 2017 12:32:31 +0000

jruby (9.1.6.0-1~exp3) experimental; urgency=medium

  * Add versioned dependency on jruby-openssl (>= 0.9.17~).
  * Add dependency on ruby-jar-dependencies.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 07 Mar 2017 22:00:21 +0000

jruby (9.1.6.0-1~exp2) experimental; urgency=medium

  * Don't hard-code libyaml-snake-java version in psych stdlib module.
  * Bundle psych Java native extension:
    - Add patch 0009-Bundle-psych-java-extension.patch.
    - Add again dependency on libyaml-snake-java.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 04 Mar 2017 11:39:19 +0000

jruby (9.1.6.0-1~exp1) experimental; urgency=medium

  The "better late than never" release.

  * New upstream release. (Closes: #792150)
  * Update uploaders list.
    Thanks to Tim Potter for his effort to package 1.7.x releases.
  * Bump debhelper compat level to 10.
  * Update dependencies lists:
    - Since 9.0.0.0 release, at least java7-runtime is needed to run jruby.
    - New dependencies on:
      + libdirgra-java
      + libjitescript-java
      + libjzlib-java
      + libmaven-source-plugin-java
      + libosgi-core-java
      + libruby2.3
      + rake
      + ruby-test-unit
    - Update versioned dependencies on:
      + debhelper (>= 10~)
      + libbytelist-java (>= 1.0.13~)
      + libinvokebinder-java (>= 1.7~)
      + libjffi-java
      + libjnr-constants-java (>= 0.9.5~)
      + libjnr-ffi-java (>= 2.1.1~)
      + libjnr-netdb-java
      + libjnr-posix-java (>= 3.0.32~)
      + libjnr-unixsocket-java (>= 0.14~)
      + libjnr-x86asm-java
    - Drop explicit dependencies on:
      + bnd
      + libjgrapht0.8-java
      + libjline2-java
      + libmaven-compiler-plugin-java (>= 3.2~)
      + libmaven-install-plugin-java
      + libproperties-maven-plugin-java
      + libyaml-snake-java
      + libyecht-java (>= 1.0~)
      + locales-all
      + maven-repo-helper
      + netbase
      + ruby-minitest
      + ruby-minitest-excludes
      + yydebug
  * Refresh d/copyright file.
  * Rework all the patches, almost all of them were dropped since they
    were not necessary anymore. Also, upstream switched their build system
    to polyglot-maven, so new ones were introduced.
  * Update d/rules.
  * Update package description.
  * Update lintian overrides.
  * Drop jruby-core-noasm Maven artifact, is not provided by upstream
    anymore.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 11 Feb 2017 16:38:10 +0000

jruby (1.7.26-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * New upstream release.
  * Fix FTBFS due to changes introduced in yecht 1.1 and snakeyaml 1.7.
    (Closes: #821181).
  * Drop Provides: ruby-interpreter in jruby binary package.
    (Closes: #839567).
  * Build with default-jdk now it has finally switched to Java 8.
  * Bump Standards-Version to 3.9.8. No changes were required.
  * Use https URLs with Vcs-* fields.
  * Refresh patches:
    - Add new patch:
      + d/patches/0007-Enable-test-suites.patch.
      + d/patches/0012-Disable-outdated-specs.patch.
  * Run more unit tests during build time.
    The suit test spec:ruby:fast is ran from now on.

  [ Emmanuel Bourg ]
  * Depend on libasm-java (>= 5.0) instead of libasm4-java.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 12 Nov 2016 20:33:13 +0000

jruby (1.7.22-2) unstable; urgency=medium

  * Build with maven-debian-helper 2.
    - Simplify packaging.
    - Avoid occasional FTBFS errors caused by changes in Maven.
  * Fix an FTBFS caused by some unit tests not working correctly in pbuilder.

 -- Miguel Landaeta <nomadium@debian.org>  Mon, 28 Dec 2015 17:20:15 -0300

jruby (1.7.22-1) unstable; urgency=medium

  * New upstream release.
  * Install jruby-stdlib Maven artifact. (Closes: #792906).
    - Added a lintian override for codeless-jar warning.
  * Install jruby-noasm Maven artifact.
  * Install correct jruby-core Maven artifact.
  * Install jruby-core-noasm Maven artifact.
  * Install jruby-complete Maven artifact.
  * Add B-D on libmaven-install-plugin-java.
  * Add versioned B-D on maven (>= 3.3~).

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 16 Sep 2015 21:19:33 -0300

jruby (1.7.21-2) unstable; urgency=high

  * Fix FTBFS due to Maven 3.3.x changes. (Closes: #792788).
  * Provide full cryptographic support:
    - Add Recommends on jruby-openssl. (Closes: #743746).
    - Add Build-Depends on jruby-openssl for unit tests during build-time.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 14 Jul 2015 20:20:23 -0300

jruby (1.7.21-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependencies for jruby binary package. (Closes: #771694).
  * Add Provides: ruby-interpreter for jruby binary package.

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 08 Jul 2015 20:59:46 -0300

jruby (1.7.20.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add missing dependencies for jruby binary package.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 20 Jun 2015 19:42:50 -0300

jruby (1.7.20.1-1) experimental; urgency=medium

  * New upstream release.
    This release updates Rubygems included copy to 2.4.8 in order to address
    CVE-2015-1855, to resolve some problems with wildcard matching of
    hostnames.
  * Add new patch:
    - 0009-Disable-bigdecimal-divmod-spec-failing-test.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 18 Jun 2015 21:34:53 -0300

jruby (1.7.19-1) experimental; urgency=medium

  * New upstream release. (Closes: #636554, #773131, #750749).
  * Add /usr/lib/ruby/vendor_ruby to the default $LOAD_PATH. (Closes: #663342).
  * Switch build system to Maven, upstream doesn't maintain Ant one anymore:
    - Add B-D on: maven, maven-{debian,repo}-helper and several maven plugins.
    - Replace cdbs with debhelper.
  * Enable full testing during build time.
  * Remove outdated packaging files:
    - d/dirs, d/links, d/NEWS.Debian and a couple of lintian overrides.
  * Refresh patches:
    - Update d/patches/0001-Fix-shebang-lines.patch.
    - Drop unnecessary patches, some of them were merged at upstream:
      + d/patches/0004-replace-bundled-libraries.patch
      + d/patches/0005-ignore-test-failures.patch
      + d/patches/0006-do-not-build-InvokeDynamicSupport.java.patch
      + d/patches/0007-use-unversioned-jarjar.jar.patch
      + d/patches/0008-CVE-2011-4838.patch
      + d/patches/0009-CVE-2012-5370.patch
      + d/patches/0010-jruby-Set-FD_CLOEXEC-correctly-using-F_SETFD-not-F_S.patch
      + d/patches/0011-java7-compat.patch
      + d/patches/0012-nailgun.patch
  * Update Uploaders list:
    - Remove Sebastien Delafond. Thanks for your work on this package!
    - Remove Torsten Werner. Thanks for your work on this package!
    - Add Tim Potter. Welcome aboard!
  * Update d/watch file.
  * Update d/README.Debian file.
  * Add get-orig-source target to d/rules.
  * Update Build-Depends:
    - Replace dependency on openjdk-7-jdk with openjdk-8-jdk.
      Otherwise jruby will not even compile.
    - Replace libjaffl-java with libjnr-ffi-java.
    - Replace libjline-java with libjline2-java.
    - Update to libyecht-java to (>= 1.0~).
    - Update to nailgun (>= 0.9.1~).
    - Update to bytelist (>= 1.0.12~).
    - Update to jffi (>= 1.2.7~).
    - Update to jnr-posix (>= 3.0.9~).
    - Add libyaml-snake-java.
    - Add libinvokebinder-java.
    - Replace libasm3-java with libasm4-java.
    - Add libjnr-x86asm-java.
    - Update libjnr-netdb-java to (>= 1.1.4~).
    - Add liblivetribe-jsr223-java.
    - Add ruby-rspec and ruby-minitest.
    - Add locales-all.
  * Update copyright file.
  * Remove unnecessary preinst and postinst scripts.
  * Update package description.
  * Ship a copy of jquery library since the source package contains a
    minified copy. This is to avoid lintian warnings, during build time
    a link symbolic to libjs-jquery is deployed.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 31 May 2015 19:37:41 -0300

jruby (1.5.6-10) unstable; urgency=medium

  * Add myself to Uploaders list.
  * Replace dependency on libconstantine-java with libjnr-constants-java.
  * Refresh patches:
    - d/p/0003-do-not-install-gems.patch.
    - d/p/0004-replace-bundled-libraries.patch.
    - d/p/0012-nailgun.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 02 May 2015 17:37:51 -0300

jruby (1.5.6-9) unstable; urgency=medium

  * Team upload.
  * Build-depend on openjdk-7-jdk >= 7u71-2.5.3 (closes: #759947).
    This version restores the "apt" tool.
    - Thank you to Michael Gilbert for the patch.

 -- tony mancill <tmancill@debian.org>  Sat, 01 Nov 2014 19:55:32 -0700

jruby (1.5.6-8) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Recommend "ri" instead of "ri1.8" (ruby interpreter)
  * Use DH9 instead of version 6.
  * Rebuild against a non-broken joda-time. (Closes: #729171)
  * Bump Standards-Version to 3.9.6 (no changes).

  [ Emmanuel Bourg ]
  * Removed the build dependency on libemma-java

 -- tony mancill <tmancill@debian.org>  Mon, 27 Oct 2014 23:27:54 -0700

jruby (1.5.6-7) unstable; urgency=low

  * Team upload.
  * Provide maven artifacts. (Closes: #737424).

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 02 Feb 2014 21:37:46 -0300

jruby (1.5.6-6) unstable; urgency=low

  * Team upload.

  [ tony mancill ]
  * Apply patch to set FD_CLOEXEC correctly using F_SETFD not F_SETFL.
    - Thank you to Guillem Jover. (Closes: #696283)

  [ gregor herrmann ]
  * Apply all changes from the Ubuntu package:
    - Depend on default-jre.
    - Add patch 0011-java7-compat.patch. Fix build issue with OpenJDK 7.
      Thanks, Julian Taylor.
    - Add patch 0012-nailgun.patch. Use unversioned nailgun.jar.
      Thanks, Julian Taylor.
      Change re the Ubuntu version: nailgun.jar instead of nailgun-0.9.0.jar.
      (Closes: #713159)
  * debian/control: use canonical URLs for Vcs-*.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Nov 2013 17:55:29 +0100

jruby (1.5.6-5) unstable; urgency=medium

  * Team upload.
  * Add patch for CVE-2012-5370: Use PerlHash instead of MurmurHash
    (that is vulnerable to DoS attacks). (Closes: #694694)
    [Patch adapted from 5e4aab28 upstream]

 -- Martin Quinson <mquinson@debian.org>  Tue, 11 Dec 2012 21:22:36 +0100

jruby (1.5.6-4) unstable; urgency=medium

  * Team upload.
  * Add patch for CVE-2011-4838 (Closes: #686867)
    - Thanks to Moritz Muehlenhoff

 -- tony mancill <tmancill@debian.org>  Thu, 20 Sep 2012 13:36:31 -0700

jruby (1.5.6-3) unstable; urgency=low

  [Miguel Landaeta]
  * Team upload.
  * Switch to default-jdk. (Closes: #655823).

  [tony mancill]
  * Bump Standards-Version to 3.9.2 (no changes).
  * Address lintian warning in d/copyright (update path to GPL-2).

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 14 Jan 2012 14:13:54 -0430

jruby (1.5.6-2) unstable; urgency=high

  * Add workaround for strange dpkg-source error. (Closes: #643516)

 -- Torsten Werner <twerner@debian.org>  Tue, 04 Oct 2011 22:24:31 +0200

jruby (1.5.6-1) unstable; urgency=low

  * New upstream version (Closes: #636554)
  * Document licenses and copyright holders of code in
    jruby-launcher-1.0.3-java.gem.
  * Change debian/watch to read tags from github. Remove get-orig-source
    target from debian/rules because we mirror the github repo in our repo.
  * Use cdbs to build the package.

 -- Torsten Werner <twerner@debian.org>  Tue, 20 Sep 2011 21:17:04 +0200

jruby (1.5.1+dfsg4-2) unstable; urgency=low

  * Use yecht-ruby.jar for building.

 -- Torsten Werner <twerner@debian.org>  Sun, 18 Sep 2011 19:24:44 +0200

jruby (1.5.1+dfsg4-1) unstable; urgency=low

  * Remove bundled yecht.jar from orig tarball.
  * Move package to main.

 -- Torsten Werner <twerner@debian.org>  Sun, 18 Sep 2011 00:01:11 +0200

jruby (1.5.1+dfsg3-1) unstable; urgency=low

  * Remove bundled jnr-netdb.jar from orig tarball.
  * Add Depends: libjffi-jni.

 -- Torsten Werner <twerner@debian.org>  Sat, 17 Sep 2011 17:34:12 +0200

jruby (1.5.1+dfsg2-1) experimental; urgency=low

  * Remove bundled jnr-posix.jar from orig tarball.

 -- Torsten Werner <twerner@debian.org>  Wed, 14 Sep 2011 20:32:31 +0200

jruby (1.5.1+dfsg1-1) experimental; urgency=low

  * Replace more prebuilt jars by Build-Depends.
  * Modify 0002-jruby_home-is-at-a-specific-location-on-Debian.patch to avoid
    test failures.
  * Add get-orig-source target.
  * Clean more files in clean target.
  * Clean up debian/copyright.
  * Do not build InvokeDynamicSupport.java because it requires some backport
    (jsr292-mock.jar) from Java7.
  * Replace rdocs by a symlink and add Recommends: ri1.8.
  * Add a patch for the unversioned jarjar.jar.

 -- Torsten Werner <twerner@debian.org>  Tue, 13 Sep 2011 22:43:35 +0200

jruby (1.5.1-1) unstable; urgency=low

  [ Hideki Yamane ]
  * use already packaged jar files to build jruby.
    add "Build-Depends: libasm3-java, libcommons-logging-java, libjarjar-java,
    libjoda-time-java, junit4, libemma-java, libbsf-java, libjline-java, bnd,
    libconstantine-java" (Closes: #581390)

  [ Torsten Werner ]
  * New upstream release
  * Changed Maintainer to pkg-java-maintainers with the agreement of Sebastien.
  * Add Sebastien and myself to the Uploaders list.
  * Add Vcs headers to debian/control.
  * Remove bin/jruby in clean target.
  * Convert patches to dep3 format.
  * Remove unneeded jar files from orig tarball.
  * Define JAVA_HOME and set it to default-java.
  * Run tests during build.
    - Upgrade Build-Depends: ant to ant-optional.
    - Add Build-Depends: netbase.
    - Add a patch to ignore test failures.
    - Set CLASSPATH=/usr/share/java/junit4.jar in debian/rules.

 -- Torsten Werner <twerner@debian.org>  Fri, 30 Jul 2010 03:07:08 +0200

jruby (1.5.0~rc3-1) unstable; urgency=low

  * New upstream release (Closes: #581360).

 -- Sebastien Delafond <seb@debian.org>  Wed, 12 May 2010 15:56:25 +0200

jruby (1.5.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Moved to 4.0 (quilt) source format.
  * Updated watch file.
  * Bumped-up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Tue, 20 Apr 2010 18:01:51 +0200

jruby (1.4.0-2) unstable; urgency=low

  * Make sure we're comptaible with a 1.5 JRE (Closes: #563028); thanks to
    Shyamal Prasad <shyamal@member.fsf.org> for the patch.

 -- Sebastien Delafond <seb@debian.org>  Mon, 11 Jan 2010 14:44:34 +0100

jruby (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file.
  * Updated copyright file to reflect addition of new third-party jars.

 -- Sebastien Delafond <seb@debian.org>  Thu, 10 Dec 2009 12:34:42 +0100

jruby (1.3.1-2) unstable; urgency=low

  * Moving to non-free, with detailed debian/copyright (Closes: #551618).
  * Got rid of jruby alternatives as provided by older jruby1.x.

 -- Sebastien Delafond <seb@debian.org>  Wed, 09 Dec 2009 17:30:55 +0100

jruby (1.3.1-1) unstable; urgency=low

  * First release (Closes: #548734).
  * Move to non-free (See #527977).

 -- Sebastien Delafond <seb@debian.org>  Mon, 19 Oct 2009 15:41:51 +0200
